## osmpbf 1.3.0

=== src/Makefile ===

CXX = g++
CXXFLAGS = -O3
AR = ar

all: libosmpbf.a ../include/osmpbf/fileformat.pb.h ../include/osmpbf/osmformat.pb.h

libosmpbf.a: fileformat.pb.o osmformat.pb.o
	$(AR) -cr $@ fileformat.pb.o osmformat.pb.o

%.pb.o: %.pb.cc
	$(CXX) $(CXXFLAGS) -c -o $@ $<

%.pb.cc ../include/osmpbf/%.pb.h: %.proto
	protoc --proto_path=. --cpp_out=. $<
	cp *.pb.h ../include/osmpbf/

install:
	install -m 755 -g root -o root -d $(DESTDIR)/usr/lib
	install -m 644 -g root -o root libosmpbf.a $(DESTDIR)/usr/lib
	install -m 755 -g root -o root -d $(DESTDIR)/usr/include/osmpbf
	install -m 644 -g root -o root ../include/osmpbf/osmpbf.h $(DESTDIR)/usr/include/osmpbf
	install -m 644 -g root -o root ../include/osmpbf/fileformat.pb.h $(DESTDIR)/usr/include/osmpbf
	install -m 644 -g root -o root ../include/osmpbf/osmformat.pb.h $(DESTDIR)/usr/include/osmpbf

clean:
	rm -f *.pb.h *.pb.cc *.pb.o libosmpbf.a

=== tools/Makefile ===

CXX = g++
CXXFLAGS = -g -I../include
LDFLAGS = -L../src -lpthread -lz -lprotobuf-lite -losmpbf

all: osmpbf-outline

osmpbf-outline: osmpbf-outline.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS)

install:
	install -m 755 -g root -o root -d $(DESTDIR)/usr/bin
	install -m 644 -g root -o root -s osmpbf-outline $(DESTDIR)/usr/bin

clean:
	rm -f osmpbf-outline

## osmpbf 1.1

=== debian/changelog ===
osmpbf (1.1-1) unstable; urgency=low

  * Initial release (closes: #609772).

 -- Giovanni Mascellani <gio@debian.org>  Wed, 12 Jan 2011 12:38:27 +0100

=== debian/control ===
Source: osmpbf
Section: java
Priority: extra
Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
Build-Depends: debhelper (>= 7.0.50~), protobuf-compiler, libprotobuf-java, ant,
 default-jdk
Standards-Version: 3.9.1
Homepage: http://github.com/scrosby/OSM-binary
Vcs-Git: git://git.debian.org/pkg-osm/osmpbf.git
Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmpbf.git;a=summary

Package: libosmpbf-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java access library for OpenStreetMap PBF file format
 Osmpbf is a Java library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is the new file format to describe
 OpenStreetMap data, intended to replace the old XML-based one. The PBF
 format uses Google Protocol Buffers as low-level storage.

## osmpbf 1.2.1

=== debian/changelog ===
osmpbf (1.2.1-3) unstable; urgency=low

  * Remove patch that sets a wrong location for protobuf.jar
    (closes: #676059).
  * Bump Standards-Version to 3.9.3 (no changes required).
  * Update copyright years.
  * Fix Makefile so Debian build flags are honoured.
  * Install POM file.

 -- Giovanni Mascellani <gio@debian.org>  Fri, 15 Jun 2012 10:04:57 +0200

osmpbf (1.2.1-2) unstable; urgency=low

  * Also install the static library in libosmpbf-dev

 -- David Paleino <dapal@debian.org>  Mon, 14 Nov 2011 11:50:47 +0100

osmpbf (1.2.1-1) unstable; urgency=low

  * New upstream version
  * Added myself to Uploaders
  * Added debian/watch file
  * Fix build.xml to point to the correct protobuf-java.jar
  * Provide additional libosmpbf-dev and osmpbf-bin packages
  * Add Build-Depends on libprotobuf-dev
  * Standards-Version bump to 3.9.2, no changes needed

 -- David Paleino <dapal@debian.org>  Mon, 14 Nov 2011 11:34:40 +0100

=== debian/control ===
Source: osmpbf
Section: java
Priority: extra
Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
Uploaders: Giovanni Mascellani <gio@debian.org>
 , David Paleino <dapal@debian.org>
Build-Depends: debhelper (>= 7.0.50~), protobuf-compiler, libprotobuf-java, ant,
 default-jdk
 , libprotobuf-dev
 , maven-repo-helper
Standards-Version: 3.9.3
Homepage: http://github.com/scrosby/OSM-binary
Vcs-Git: git://git.debian.org/pkg-osm/osmpbf.git
Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmpbf.git;a=summary

Package: libosmpbf-java
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Java access library for OpenStreetMap PBF file format
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is the new file format to describe
 OpenStreetMap data, intended to replace the old XML-based one. The PBF
 format uses Google Protocol Buffers as low-level storage.
 .
 This package provides a Java library.

Package: libosmpbf-dev
Section: libdevel
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C headers for OpenStreetMap PBF file format
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is the new file format to describe
 OpenStreetMap data, intended to replace the old XML-based one. The PBF
 format uses Google Protocol Buffers as low-level storage.
 .
 This package provides the C headers to be used in third-party
 applications.

Package: osmpbf-bin
Section: utils
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenStreetMap PBF file format library - tools
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is the new file format to describe
 OpenStreetMap data, intended to replace the old XML-based one. The PBF
 format uses Google Protocol Buffers as low-level storage.
 .
 This package provides various tools to deal with OpenStreetMap PBF file
 format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build
	dh_auto_build -Dsrc
	dh_auto_build -Dtools

override_dh_auto_install:
	dh_auto_install
	dh_auto_install -Dsrc
	dh_auto_install -Dtools

binary:
	dh binary --until dh_install
	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
	mh_installpom -plibosmpbf-java pom.xml
	dh binary --remaining

## osmpbf 1.3.0

=== debian/changelog ===
osmpbf (1.3.0-1build1) trusty; urgency=medium

  * No-change rebuild against libprotobuf8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 31 Jan 2014 09:18:30 +0000

osmpbf (1.3.0-1) unstable; urgency=low

  [ Giovanni Mascellani ]
  * Remove myself from the uploaders list, since I have no time
    anymore to look after this package.

  [ David Paleino ]
  * New upstream version.
  * Bump debhelper compatibility to 9.
  * Standards-Version bump to 3.9.4, no changes needed.
  * Use canonical Vcs-* urls in debian/control.
  * Updated debian/copyright.
  * Install ReleaseNotes.txt as upstream changelog.
  * Correctly clean up after builds.

 -- David Paleino <dapal@debian.org>  Mon, 28 Jan 2013 20:32:44 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,20 @@
 Section: java
 Priority: extra
 Maintainer: Debian OpenStreetMap Team <pkg-osm-maint@lists.alioth.debian.org>
-Uploaders: Giovanni Mascellani <gio@debian.org>
- , David Paleino <dapal@debian.org>
-Build-Depends: debhelper (>= 7.0.50~), protobuf-compiler, libprotobuf-java, ant,
- default-jdk
+Uploaders:
+ David Paleino <dapal@debian.org>
+Build-Depends:
+ debhelper (>= 9~)
+ , protobuf-compiler
+ , libprotobuf-java
+ , ant
+ , default-jdk
  , libprotobuf-dev
  , maven-repo-helper
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/scrosby/OSM-binary
-Vcs-Git: git://git.debian.org/pkg-osm/osmpbf.git
-Vcs-Browser: http://git.debian.org/?p=pkg-osm/osmpbf.git;a=summary
+Vcs-Git: git://anonscm.debian.org/pkg-osm/osmpbf.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-osm/osmpbf.git;a=summary
 
 Package: libosmpbf-java
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -6,6 +6,12 @@
 
 %:
 	dh $@ 
+
+override_dh_auto_clean:
+	dh_auto_clean
+	dh_auto_clean -Dsrc
+	dh_auto_clean -Dtools
+	mh_clean
 
 override_dh_auto_build:
 	dh_auto_build
@@ -17,8 +23,10 @@
 	dh_auto_install -Dsrc
 	dh_auto_install -Dtools
 
-binary:
-	dh binary --until dh_install
+override_dh_installchangelogs:
+	dh_installchangelogs -- ReleaseNotes.txt
+
+override_dh_install:
+	dh_install
 	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
 	mh_installpom -plibosmpbf-java pom.xml
-	dh binary --remaining

=== debian/watch ===
version=3
http://githubredir.debian.net/github/scrosby/OSM-binary/v(\d+.*)\.tar\.gz

## osmpbf 1.3.3

=== CMakeLists.txt ===
PROJECT(OSMBinary)
cmake_minimum_required(VERSION 2.8.5)

SET(SEARCH_PREFIX CACHE PATH "Additional prefix to search libraries (Protobuf etc.)" )

SET(CMAKE_PREFIX_PATH ${CMAKE_PREFIX_PATH} ${SEARCH_PREFIX})

include(FindProtobuf)
find_package(Protobuf REQUIRED)
include_directories(${PROTOBUF_INCLUDE_DIR})

add_subdirectory(src)
if(NOT MSVC)
add_subdirectory(tools)
endif()

=== src/CMakeLists.txt ===
PROTOBUF_GENERATE_CPP(CPPS HS fileformat.proto osmformat.proto)

if(MSVC)
    set(CMAKE_CXX_FLAGS "/O3")
else()
    set(CMAKE_CXX_FLAGS "-O3")
endif()

add_library(osmpbf STATIC ${CPPS})

set_target_properties(osmpbf PROPERTIES LINKER_LANGUAGE CXX LANGUAGE CXX)

ADD_CUSTOM_COMMAND(TARGET osmpbf POST_BUILD  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/src/fileformat.pb.h ${CMAKE_SOURCE_DIR}/include/osmpbf)
ADD_CUSTOM_COMMAND(TARGET osmpbf POST_BUILD  COMMAND ${CMAKE_COMMAND} -E copy ${CMAKE_BINARY_DIR}/src/osmformat.pb.h ${CMAKE_SOURCE_DIR}/include/osmpbf)

SET(INCLUDE_INSTALL "include/osmpbf")
SET(files ${CMAKE_SOURCE_DIR}/include/osmpbf/osmpbf.h ${CMAKE_BINARY_DIR}/src/osmformat.pb.h ${CMAKE_BINARY_DIR}/src/fileformat.pb.h)
INSTALL(FILES ${files} DESTINATION ${INCLUDE_INSTALL})
install(TARGETS osmpbf LIBRARY DESTINATION lib ARCHIVE DESTINATION lib)

=== src/Makefile ===

# these default settings can be overridden by setting environment variables
PREFIX   ?= /usr/local
CXX      ?= g++
CXXFLAGS ?= -O3
AR       ?= ar
PROTOC   ?= protoc

CXXFLAGS += -Wall -Wextra -pedantic -Wredundant-decls -Wdisabled-optimization -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wno-long-long

.PHONY: clean install

all: libosmpbf.a ../include/osmpbf/fileformat.pb.h ../include/osmpbf/osmformat.pb.h

libosmpbf.a: fileformat.pb.o osmformat.pb.o
	$(AR) -cr $@ fileformat.pb.o osmformat.pb.o

%.pb.o: %.pb.cc
	$(CXX) $(CXXFLAGS) -fPIC -c -o $@ $<

%.pb.cc ../include/osmpbf/%.pb.h: %.proto
	$(PROTOC) --proto_path=. --cpp_out=. $<
	cp *.pb.h ../include/osmpbf/

install:
	install -m 755 -d $(DESTDIR)$(PREFIX)/lib
	install -m 644 libosmpbf.a $(DESTDIR)$(PREFIX)/lib
	install -m 755 -d $(DESTDIR)$(PREFIX)/include/osmpbf
	install -m 644 ../include/osmpbf/osmpbf.h $(DESTDIR)$(PREFIX)/include/osmpbf
	install -m 644 ../include/osmpbf/fileformat.pb.h $(DESTDIR)$(PREFIX)/include/osmpbf
	install -m 644 ../include/osmpbf/osmformat.pb.h $(DESTDIR)$(PREFIX)/include/osmpbf

clean:
	rm -f *.pb.h *.pb.cc *.pb.o libosmpbf.a

=== tools/CMakeLists.txt ===
SET(PROJECT osmpbf-outline)
PROJECT(${PROJECT})

if(MSVC)
    set(CMAKE_CXX_FLAGS "/O3")
else()
    set(CMAKE_CXX_FLAGS "-O3 -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64")
endif()

SET(CPP_SRC osmpbf-outline.cpp)
SET(HPP_SRC "")
SET(C_SRC "")
include_directories("${CMAKE_SOURCE_DIR}/include")

add_executable(${PROJECT} ${HPP_SRC} ${CPP_SRC} ${C_SRC})
set_target_properties(${PROJECT} PROPERTIES LINKER_LANGUAGE CXX LANGUAGE CXX)

find_package(ZLIB REQUIRED)
include_directories(${ZLIB_INCLUDE_DIR})

INCLUDE (CheckIncludeFiles)
CHECK_INCLUDE_FILES(winsock2.h HAVE_WINSOCK)
if(HAVE_WINSOCK)
   add_definitions( -DD_HAVE_WINSOCK )
   SET(WINSOCK_LIB ws2_32)
endif()


find_package(Threads)
target_link_libraries(${PROJECT} ${WINSOCK_LIB} ${ZLIB_LIBRARY}  osmpbf ${PROTOBUF_LITE_LIBRARIES})

INSTALL(TARGETS ${PROJECT} RUNTIME DESTINATION bin)

=== tools/Makefile ===

# these default settings can be overridden by setting environment variables
PREFIX   ?= /usr/local
CXX      ?= g++
CXXFLAGS ?= -g

CXXFLAGS += -I../include -Wall -Wextra -pedantic -Wredundant-decls -Wdisabled-optimization -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wno-long-long
LDFLAGS  += -L../src -pthread -lz -lprotobuf-lite -losmpbf

.PHONY: clean install

all: osmpbf-outline

osmpbf-outline: osmpbf-outline.cpp
	$(CXX) $(CXXFLAGS) -o $@ $< $(LDFLAGS)

install:
	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 -s osmpbf-outline $(DESTDIR)$(PREFIX)/bin

clean:
	rm -f osmpbf-outline

=== debian/changelog ===
osmpbf (1.3.3-7) unstable; urgency=medium

  * Bump Standards-Version to 3.9.8, no changes.
  * Switch to headless variant for jdk dependencies.
  * Enable all hardening buildflags.
  * Drop unused override for incompatible-java-bytecode-format.
  * Rebuild with protobuf 3.0.0.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 25 Aug 2016 10:52:01 +0200

osmpbf (1.3.3-6) unstable; urgency=medium

  * Update Vcs-* URLs to use HTTPS.
  * Drop © character from copyright statements.
  * Update uversionmangle to use lowercase RC.
  * Update JDK build dependency for OpenJDK 8.
    (closes: #814169)
  * Bump Standards-Version to 3.9.7, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 08 Feb 2016 21:57:09 +0100

osmpbf (1.3.3-5) unstable; urgency=medium

  * Update watch file to handle other tar extensions.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Aug 2015 18:19:12 +0200

osmpbf (1.3.3-4) unstable; urgency=medium

  * Fix malformed opts=... in watchfile.
  * Update copyright file, changes:
    - Add Upstream-Name header
    - Align copyright holders
    - Use stand-alone license paragraphs

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 29 May 2015 23:17:38 +0200

osmpbf (1.3.3-3) unstable; urgency=medium

  * Update watch file to use github tags instead of deprecated
    githubredir service.
  * Add upstream metadata.
  * Update my email to @debian.org address.
  * Update Vcs-Browser URL to use cgit instead of gitweb.
  * Bump Standards-Version to 3.9.6, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 26 Apr 2015 22:08:44 +0200

osmpbf (1.3.3-2) unstable; urgency=low

  * Add patch to fix duplicate header copy.
  * Add lintian override for incompatible-java-bytecode-format,
    Java 6 SDK or higher required.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Mon, 17 Mar 2014 08:50:36 +0100

osmpbf (1.3.3-1) unstable; urgency=low

  * New upstream release.
  * Build depend on openjdk-7-jdk or java6-sdk.
    Java 6 or higher is required to support @Override for interface methods,
    Java 5 only supports @Override for methods overriding a superclass method.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Sun, 16 Mar 2014 12:02:51 +0100

osmpbf (1.3.2-1) unstable; urgency=medium

  [ Andreas Tille ]
  * moved to pkg-grass Git repository

  [ Bas Couwenberg ]
  * New upstream release.
    (closes: #716608)
  * Change Maintainer to Debian GIS Project.
  * Change Priority to optional.
  * Add myself to Uploaders.
  * Use simple makefile buildsystem by default.
  * Use ant buildsystem for java library.
  * Enable parallel builds.
  * Drop 00-fix_build_flags.patch, no longer required.
  * Append CPPFLAGS to CXXFLAGS for fortify-functions.
  * Bump Standards-Version to 3.9.5, no changes.
  * Add dependency on libprotobuf-dev to libosmpbf-dev.
    (closes: #722730)

  [ Jochen Topf ]
  * Remove .gitignore file in debian directory.

 -- Bas Couwenberg <sebastic@xs4all.nl>  Fri, 14 Mar 2014 13:51:21 +0100

=== debian/control ===
Source: osmpbf
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: David Paleino <dapal@debian.org>,
           Bas Couwenberg <sebastic@debian.org>
Section: java
Priority: optional
Build-Depends: debhelper (>= 9),
               ant,
               default-jdk-headless,
               openjdk-8-jdk-headless | java6-sdk-headless,
               libprotobuf-dev (>= 3.0.0),
               libprotobuf-java (>= 3.0.0),
               protobuf-compiler (>= 3.0.0),
               maven-repo-helper
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmpbf.git
Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmpbf.git
Homepage: https://github.com/scrosby/OSM-binary

Package: libosmpbf-java
Architecture: all
Depends: ${misc:Depends}
Description: Java access library for OpenStreetMap PBF file format
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
 data that uses Google Protocol Buffers as low-level storage.
 .
 This package provides a Java library.

Package: libosmpbf-dev
Architecture: any
Section: libdevel
Depends: libprotobuf-dev,
         ${misc:Depends}
Description: C headers for OpenStreetMap PBF file format
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
 data that uses Google Protocol Buffers as low-level storage.
 .
 This package provides the C headers to be used in third-party
 applications.

Package: osmpbf-bin
Architecture: any
Section: utils
Depends: ${shlibs:Depends},
         ${misc:Depends}
Description: OpenStreetMap PBF file format library - tools
 Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
 PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
 data that uses Google Protocol Buffers as low-level storage.
 .
 This package provides various tools to deal with OpenStreetMap PBF file
 format.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

CXXFLAGS += $(CPPFLAGS)

%:
	dh $@ --buildsystem makefile --parallel

override_dh_auto_clean:
	dh_auto_clean --buildsystem ant
	dh_auto_clean -Dsrc
	dh_auto_clean -Dtools
	mh_clean

override_dh_auto_configure:
	dh_auto_configure --buildsystem ant
	dh_auto_configure -Dsrc
	dh_auto_configure -Dtools

override_dh_auto_build:
	dh_auto_build --buildsystem ant
	dh_auto_build -Dsrc
	dh_auto_build -Dtools

override_dh_auto_install:
	dh_auto_install --buildsystem ant
	dh_auto_install -Dsrc   -- PREFIX=/usr
	dh_auto_install -Dtools -- PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs -- ReleaseNotes.txt

override_dh_install:
	dh_install
	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
	mh_installpom -plibosmpbf-java pom.xml

=== debian/watch ===
version=3
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|OSM-binary)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/OSM-binary-$1.$2/ \
https://github.com/scrosby/OSM-binary/tags \
(?:.*?/)?(?:rel|v|OSM-binary)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osmpbf 1.5.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7)

project(osmpbf VERSION 1.5.0)

include(GNUInstallDirs)

set(CMAKE_CXX_STANDARD 11)

find_package(Protobuf REQUIRED)

add_subdirectory(osmpbf)

# The osmpbf-outline tool does not compile on Windows because getopt.h is missing
if(NOT MSVC)
    add_subdirectory(tools)
endif()

=== src/CMakeLists.txt ===
protobuf_generate_cpp(CPPS HS fileformat.proto osmformat.proto)

add_library(osmpbf STATIC ${CPPS})
target_include_directories(osmpbf SYSTEM PUBLIC ${Protobuf_INCLUDE_DIRS})
install(TARGETS osmpbf ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

add_library(osmpbf_shared SHARED ${CPPS})
target_link_libraries(osmpbf_shared PRIVATE protobuf::libprotobuf)
target_include_directories(osmpbf_shared SYSTEM PUBLIC ${Protobuf_INCLUDE_DIRS})
set_target_properties(osmpbf_shared PROPERTIES OUTPUT_NAME osmpbf
                                               VERSION ${PROJECT_VERSION}
                                               SOVERSION ${PROJECT_VERSION_MAJOR})
install(TARGETS osmpbf_shared LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${CMAKE_SOURCE_DIR}/include/osmpbf/osmpbf.h
              ${CMAKE_BINARY_DIR}/osmpbf/osmformat.pb.h
              ${CMAKE_BINARY_DIR}/osmpbf/fileformat.pb.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/osmpbf)

=== src/Makefile ===

# these default settings can be overridden by setting environment variables
PREFIX   ?= /usr/local
LIBDIR   ?= $(PREFIX)/lib
CXX      ?= g++
CXXFLAGS ?= -O3
AR       ?= ar
PROTOC   ?= protoc
SONAME   ?= libosmpbf.so.1
VERSION  ?= 1.5.0

CXXFLAGS += -Wall -Wextra -pedantic -Wredundant-decls -Wdisabled-optimization -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wno-long-long

.PHONY: clean install

all: libosmpbf.a libosmpbf.so ../include/osmpbf/fileformat.pb.h ../include/osmpbf/osmformat.pb.h

libosmpbf.a: fileformat.pb.o osmformat.pb.o
	$(AR) -cr $@ fileformat.pb.o osmformat.pb.o

libosmpbf.so: fileformat.pb.o osmformat.pb.o
	$(CXX) $(CPPFLAGS) $(LDFLAGS) -shared -Wl,-soname,$(SONAME) -o $@ fileformat.pb.o osmformat.pb.o

%.pb.o: %.pb.cc
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -fPIC -c -o $@ $<

%.pb.cc ../include/osmpbf/%.pb.h: %.proto
	$(PROTOC) --proto_path=. --cpp_out=. $<
	cp -v $(subst .proto,.pb.h,$<) ../include/osmpbf/

install:
	install -m 755 -d $(DESTDIR)$(LIBDIR)
	install -m 644 libosmpbf.a $(DESTDIR)$(LIBDIR)
	install -m 755 libosmpbf.so $(DESTDIR)$(LIBDIR)/libosmpbf.so.$(VERSION)
	ln -s libosmpbf.so.$(VERSION) $(DESTDIR)$(LIBDIR)/$(SONAME)
	ln -s libosmpbf.so.$(VERSION) $(DESTDIR)$(LIBDIR)/libosmpbf.so
	install -m 755 -d $(DESTDIR)$(PREFIX)/include/osmpbf
	install -m 644 ../include/osmpbf/osmpbf.h $(DESTDIR)$(PREFIX)/include/osmpbf
	install -m 644 ../include/osmpbf/fileformat.pb.h $(DESTDIR)$(PREFIX)/include/osmpbf
	install -m 644 ../include/osmpbf/osmformat.pb.h $(DESTDIR)$(PREFIX)/include/osmpbf

clean:
	rm -f *.pb.h *.pb.cc *.pb.o libosmpbf.a

=== tools/CMakeLists.txt ===
find_package(ZLIB REQUIRED)
find_package(Threads)

include_directories("${CMAKE_SOURCE_DIR}/include")
include_directories(${CMAKE_BINARY_DIR})

add_definitions(-D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64)

add_executable(osmpbf-outline osmpbf-outline.cpp)

target_include_directories(osmpbf-outline SYSTEM PRIVATE ${ZLIB_INCLUDE_DIR})
target_link_libraries(osmpbf-outline PRIVATE osmpbf ZLIB::ZLIB protobuf::libprotobuf)

install(TARGETS osmpbf-outline RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES osmpbf-outline.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== tools/Makefile ===

# these default settings can be overridden by setting environment variables
PREFIX   ?= /usr/local
CXX      ?= g++
CXXFLAGS ?= -g

CXXFLAGS += -I../include -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -Wall -Wextra -pedantic -Wredundant-decls -Wdisabled-optimization -Wctor-dtor-privacy -Wnon-virtual-dtor -Woverloaded-virtual -Wsign-promo -Wno-long-long
LDFLAGS  += -L../src -pthread -lz -lprotobuf -losmpbf

.PHONY: clean install

all: osmpbf-outline

osmpbf-outline: osmpbf-outline.cpp
	$(CXX) $(CPPFLAGS) $(CXXFLAGS) -o $@ $< $(LDFLAGS)

install:
	install -m 755 -d $(DESTDIR)$(PREFIX)/bin
	install -m 755 -s osmpbf-outline $(DESTDIR)$(PREFIX)/bin

clean:
	rm -f osmpbf-outline

=== debian/changelog ===
osmpbf (1.5.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump watch file version to 4.
  * Bump Standards-Version to 4.5.1, no changes.
  * Drop hardening.patch, applied upstream.
  * Add patch to keep use ant, maven doesn't work for Debian package.
  * Drop obsolete dh_installchangelogs override.
  * Use cmake buildsystem instead of makefile.
  * Update lintian overrides.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 07 Jan 2021 08:21:08 +0100

osmpbf (1.4.0-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 27 Oct 2020 12:26:01 +0100

osmpbf (1.4.0-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Update copyright file.
  * Update upstream metadata.
  * Add binary package for shared library.
  * Update lintian overrides.
  * Drop patches, applied upstream.
  * Update README filename in docs file.
  * Add patch to support hardening flags.
  * Add symbols file with pkgkde-symbolshelper.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 25 Oct 2020 06:46:43 +0100

osmpbf (1.3.3-15) unstable; urgency=medium

  * Rebuild with protobuf 3.12.2.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 08 Jul 2020 05:51:48 +0200

osmpbf (1.3.3-14) unstable; urgency=medium

  * Add patch to fix optimize_for warnings.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Mar 2020 07:49:45 +0100

osmpbf (1.3.3-13) unstable; urgency=medium

  * Update gbp.conf for renamed branches.
  * Bump Standards-Version to 4.5.0, no changes.
  * Drop Name field from upstream metadata.
  * Bump debhelper compat to 10, changes:
    - Drop --parallel option, enabled by default
  * Rebuild with protobuf 3.11.4.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 22 Mar 2020 06:47:37 +0100

osmpbf (1.3.3-12) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0, no changes.
  * Update dh_install override to use --list-missing.
  * Update gbp.conf to use --source-only-changes by default.
  * Rebuild with protobuf 3.6.1.
    (closes: #935990)

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Aug 2019 09:37:16 +0200

osmpbf (1.3.3-11) unstable; urgency=medium

  * Bump Standards-Version to 4.2.0, no changes.
  * Update watch file to use releases instead of tags.
  * Update watch file to limit matches to archive path.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 18 Aug 2018 17:11:02 +0200

osmpbf (1.3.3-10) unstable; urgency=medium

  * Drop autopkgtest to test installability.
  * Add lintian override for testsuite-autopkgtest-missing.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 01 Aug 2018 11:31:10 +0200

osmpbf (1.3.3-9) unstable; urgency=medium

  * Update Vcs-* URLs for Salsa.
  * Drop override for vcs-deprecated-in-debian-infrastructure.
  * Bump Standards-Version to 4.1.5, no changes.
  * Strip trailing whitespace from control file.
  * Drop unused override for incompatible-java-bytecode-format.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 Jul 2018 10:52:42 +0200

osmpbf (1.3.3-8) unstable; urgency=medium

  * Add patch to specify proto2 syntax to fix warnings with protobuf 3.0.0.
  * Update copyright-format URL to use HTTPS.
  * Drop explicit openjdk-8 build dependency.
  * Bump Standards-Version to 4.1.3, no changes.
  * Add lintian override for vcs-deprecated-in-debian-infrastructure.
  * Add lintian override for incompatible-java-bytecode-format.
  * Add autopkgtest to test installability.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Mar 2018 14:56:57 +0200

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10~),
                ant,
-               default-jdk-headless,
-               openjdk-8-jdk-headless | java6-sdk-headless,
-               libprotobuf-dev (>= 3.0.0),
-               libprotobuf-java (>= 3.0.0),
-               protobuf-compiler (>= 3.0.0),
-               maven-repo-helper
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-grass/osmpbf.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-grass/osmpbf.git
-Homepage: https://github.com/scrosby/OSM-binary
+               cmake,
+               default-jdk-headless | java6-sdk-headless,
+               libprotobuf-dev (>= 3.12.3),
+               libprotobuf-java (>= 3.12.3),
+               protobuf-compiler (>= 3.12.3),
+               maven-repo-helper,
+               pkg-kde-tools
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmpbf
+Vcs-Git: https://salsa.debian.org/debian-gis-team/osmpbf.git
+Homepage: https://github.com/openstreetmap/OSM-binary
 
 Package: libosmpbf-java
 Architecture: all
@@ -27,10 +28,23 @@
  .
  This package provides a Java library.
 
+Package: libosmpbf1
+Architecture: any
+Section: libs
+Depends: ${shlibs:Depends},
+         ${misc:Depends}
+Description: OpenStreetMap PBF file format library
+ Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
+ PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap
+ data that uses Google Protocol Buffers as low-level storage.
+ .
+ This package provides the shared library.
+
 Package: libosmpbf-dev
 Architecture: any
 Section: libdevel
-Depends: libprotobuf-dev,
+Depends: libosmpbf1 (= ${binary:Version}),
+         libprotobuf-dev,
          ${misc:Depends}
 Description: C headers for OpenStreetMap PBF file format
  Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
@@ -52,4 +66,3 @@
  .
  This package provides various tools to deal with OpenStreetMap PBF file
  format.
-

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Enable hardening build flags
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

include /usr/share/dpkg/pkg-info.mk

UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem cmake

override_dh_auto_clean:
	dh_auto_clean --buildsystem ant
	dh_auto_clean
	mh_clean

override_dh_auto_configure:
	dh_auto_configure --buildsystem ant
	dh_auto_configure

override_dh_auto_build:
	dh_auto_build --buildsystem ant
	dh_auto_build

override_dh_auto_install:
	dh_auto_install --buildsystem ant
	dh_auto_install

override_dh_install:
	dh_install --list-missing
	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
	mh_installpom -plibosmpbf-java pom.xml

override_dh_makeshlibs:
	dh_makeshlibs -- -c0 -v$(UPSTREAM_VERSION)

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|OSM-binary)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/OSM-binary-$1.$2/ \
https://github.com/openstreetmap/OSM-binary/releases \
(?:.*?/archive/)?(?:rel|v|OSM-binary)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osmpbf 1.5.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,13 @@
 
 include(GNUInstallDirs)
 
-set(CMAKE_CXX_STANDARD 11)
+# This is needed for the protobuf_generate_cpp() function to work on newer
+# versions of the Protobuf CMake config.
+set(protobuf_MODULE_COMPATIBLE ON CACHE BOOL "")
+
+# This is needed so that we pick up the (more modern) CONFIG mode cmake file
+# before the (older) MODULE mode cmake config file. Seems to be needed on macOS.
+set(CMAKE_FIND_PACKAGE_PREFER_CONFIG TRUE)
 
 find_package(Protobuf REQUIRED)

=== osmpbf/CMakeLists.txt ===
protobuf_generate_cpp(CPPS HS fileformat.proto osmformat.proto)

add_library(osmpbf STATIC ${CPPS})
target_compile_features(osmpbf PUBLIC cxx_std_11)
target_link_libraries(osmpbf PRIVATE protobuf::libprotobuf)
target_include_directories(osmpbf SYSTEM PUBLIC ${Protobuf_INCLUDE_DIRS})
install(TARGETS osmpbf ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})

add_library(osmpbf_shared SHARED ${CPPS})
target_compile_features(osmpbf_shared PUBLIC cxx_std_11)
target_link_libraries(osmpbf_shared PRIVATE protobuf::libprotobuf)
target_include_directories(osmpbf_shared SYSTEM PUBLIC ${Protobuf_INCLUDE_DIRS})
set_target_properties(osmpbf_shared PROPERTIES OUTPUT_NAME osmpbf
                                               VERSION ${PROJECT_VERSION}
                                               SOVERSION ${PROJECT_VERSION_MAJOR})
install(TARGETS osmpbf_shared LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR})

install(FILES ${CMAKE_SOURCE_DIR}/include/osmpbf/osmpbf.h
              ${CMAKE_BINARY_DIR}/osmpbf/osmformat.pb.h
              ${CMAKE_BINARY_DIR}/osmpbf/fileformat.pb.h
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/osmpbf)

=== tools/CMakeLists.txt ===
--- 
+++ 
@@ -10,6 +10,7 @@
 
 target_include_directories(osmpbf-outline SYSTEM PRIVATE ${ZLIB_INCLUDE_DIR})
 target_link_libraries(osmpbf-outline PRIVATE osmpbf ZLIB::ZLIB protobuf::libprotobuf)
+set_property(TARGET osmpbf-outline PROPERTY CXX_STANDARD 11)
 
 install(TARGETS osmpbf-outline RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
 install(FILES osmpbf-outline.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== debian/changelog ===
osmpbf (1.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Add libprotobuf-java to libosmpbf-java Depends.
  * Add Rules-Requires-Root to control file.
  * Bump Standards-Version to 4.6.2, no changes.
  * Bump debhelper compat to 13.
  * Switch to dh-sequence-*.
  * Drop ant.patch, fixed upstream.
  * Update paths for src to osmpbf move.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Mar 2024 05:44:08 +0100

osmpbf (1.5.0-3) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1, no changes.
  * Add autopkgtests to catch PBF read failures.
  * Enable Salsa CI.
  * Rebuild with protobuf 3.21.9.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 22 Nov 2022 05:45:42 +0100

osmpbf (1.5.0-2) unstable; urgency=medium

  * Update watch file for GitHub URL changes.
  * Bump Standards-Version to 4.6.0, no changes.
  * Bump debhelper compat to 12, changes:
    - Drop --list-missing from dh_install
  * Rebuild with 3.12.4.
    (closes: #993895)
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 11 Sep 2021 19:08:30 +0200

=== debian/control ===
--- 
+++ 
@@ -4,23 +4,26 @@
            Bas Couwenberg <sebastic@debian.org>
 Section: java
 Priority: optional
-Build-Depends: debhelper (>= 10~),
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
                ant,
                cmake,
                default-jdk-headless | java6-sdk-headless,
-               libprotobuf-dev (>= 3.12.3),
-               libprotobuf-java (>= 3.12.3),
-               protobuf-compiler (>= 3.12.3),
+               libprotobuf-dev (>= 3.21.9),
+               libprotobuf-java (>= 3.21.9),
+               protobuf-compiler (>= 3.21.9),
                maven-repo-helper,
                pkg-kde-tools
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmpbf
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osmpbf.git
 Homepage: https://github.com/openstreetmap/OSM-binary
+Rules-Requires-Root: no
 
 Package: libosmpbf-java
 Architecture: all
-Depends: ${misc:Depends}
+Depends: libprotobuf-java,
+         ${misc:Depends}
 Description: Java access library for OpenStreetMap PBF file format
  Osmpbf is a Java/C library to read and write OpenStreetMap PBF files.
  PBF (Protocol buffer Binary Format) is a binary file format for OpenStreetMap

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 UPSTREAM_VERSION = $(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\+.*//')
 
 %:
-	dh $@ --with pkgkde_symbolshelper --buildsystem cmake
+	dh $@ --buildsystem cmake
 
 override_dh_auto_clean:
 	dh_auto_clean --buildsystem ant
@@ -32,7 +32,7 @@
 	dh_auto_install
 
 override_dh_install:
-	dh_install --list-missing
+	dh_install
 	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
 	mh_installpom -plibosmpbf-java pom.xml

=== debian/tests/control ===
Tests: java
Depends: ca-certificates,
         default-jdk-headless,
         libosmpbf-java,
         wget
Restrictions: needs-internet

Tests: osmpbf-outline
Depends: ca-certificates,
         osmpbf-bin,
         wget
Restrictions: needs-internet

=== debian/watch ===
version=4
opts=\
dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/;s/RC/rc/,\
filenamemangle=s/(?:.*?)?(?:rel|v|OSM-binary)?[\-\_]?(\d\S+)\.(tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))/OSM-binary-$1.$2/ \
https://github.com/openstreetmap/OSM-binary/tags \
(?:.*?/archive/(?:.*?/)?)?(?:rel|v|OSM-binary)?[\-\_]?(\d\S+)\.(?:tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## osmpbf 1.6.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 3.7)
+cmake_minimum_required(VERSION 3.10)
 
 project(osmpbf VERSION 1.5.0)

=== debian/changelog ===
osmpbf (1.6.1-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes.
  * Make autopkgtest script more verbose.
  * Mark libosmpbf-java as Multi-Arch: foreign, and
    libosmpbf1 as Multi-Arch: same.
  * Update lintian overrides.
  * Drop Rules-Requires-Root: no, default since dpkg 1.22.13.
  * Use test-build-validate-cleanup instead of test-build-twice.
  * Use execute_{before,after} instead of override in rules file.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 20 Dec 2025 14:51:38 +0100

=== debian/control ===
--- 
+++ 
@@ -14,14 +14,14 @@
                protobuf-compiler (>= 3.21.9),
                maven-repo-helper,
                pkg-kde-tools
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/osmpbf
 Vcs-Git: https://salsa.debian.org/debian-gis-team/osmpbf.git
 Homepage: https://github.com/openstreetmap/OSM-binary
-Rules-Requires-Root: no
 
 Package: libosmpbf-java
 Architecture: all
+Multi-Arch: foreign
 Depends: libprotobuf-java,
          ${misc:Depends}
 Description: Java access library for OpenStreetMap PBF file format
@@ -33,6 +33,7 @@
 
 Package: libosmpbf1
 Architecture: any
+Multi-Arch: same
 Section: libs
 Depends: ${shlibs:Depends},
          ${misc:Depends}

=== debian/rules ===
--- 
+++ 
@@ -14,25 +14,22 @@
 %:
 	dh $@ --buildsystem cmake
 
-override_dh_auto_clean:
+execute_before_dh_auto_clean:
 	dh_auto_clean --buildsystem ant
-	dh_auto_clean
+
+execute_after_dh_auto_clean:
 	mh_clean
 
-override_dh_auto_configure:
+execute_before_dh_auto_configure:
 	dh_auto_configure --buildsystem ant
-	dh_auto_configure
 
-override_dh_auto_build:
+execute_before_dh_auto_build:
 	dh_auto_build --buildsystem ant
-	dh_auto_build
 
-override_dh_auto_install:
+execute_before_dh_auto_install:
 	dh_auto_install --buildsystem ant
-	dh_auto_install
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	mh_installjar -plibosmpbf-java -l pom.xml osmpbf.jar
 	mh_installpom -plibosmpbf-java pom.xml
